Welcome!

Join our community of MMO enthusiasts and game developers! By registering, you'll gain access to discussions on the latest developments in MMO server files and collaborate with like-minded individuals. Join us today and unlock the potential of MMO server development!

Join Today!

server installation

Skilled Illusionist
Joined
Feb 2, 2011
Messages
382
Reaction score
200
Not really a tut but not a release either I guess.
I got bored today so I wrote a script that installs the server on either 32 / 64 ubuntu.

It will edit the table.xml and config.php for you!! so just follow on screen instructions

sora1984 - server installation - RaGEZONE Forums

save as install.sh or whatever upload to / chmod it to 755 and run

Code:
#!/bin/bash
installer32() {
ip=`/sbin/ifconfig|grep inet|head -1|sed 's/\:/ /'|awk '{print $3}'`
echo "INSTALLING FOR 32bit OS"
apt-get update 
apt-get install -y openjdk-6-jre apache2 mysql-server php5 php5-mysql php5-curl phpmyadmin unzip lynx tomcat7
sleep 1
cd /
wget http://venom-games.com/downloads/PWServerFiles1.5.1v101.tar.gz
sleep 1
wget http://venom-games.com/downloads/reg.zip
tar xvzf PWServerFiles1.5.1v101.tar.gz
rm -R /var/www
unzip reg.zip
sleep 1
cd var/lib/tomcat7/webapps/
service tomcat7 stop
wget http://venom-games.com/downloads/pwadmin1.5.1.zip
unzip -o pwadmin1.5.1.zip
service tomcat7 start
echo "pwAdmin Access = http://"$ip":8080/pwAdmin/"
#CREATE AND IMPORT SQL DATABASE
rootpw=$(whiptail --title "Server Setup" --passwordbox "Enter the MySQL root password:" 8 78 3>&1 1>&2 2>&3)
dbname="pw"
dbuser=$(whiptail --title "Server Setup" --inputbox "Enter MySQL username:" 8 78 3>&1 1>&2 2>&3)
sleep 1
cd /home/SQL
mysql -h127.0.0.1 -u$dbuser -p$rootpw  --force < pw.sql

if [ $? != "0" ]; then
	echo "Error Database creation failed"
	echo "Please manually insert DB from /home/SQL"
	echo "Installer will now exit"
	exit 1
else
	sed -i 's/="PasswdForMySQL"/="'$rootpw'"/g' /etc/table.xml
	sed -i 's/$DBName = "ZZZZZZ"/$DBName = "'$dbname'"/g' /var/www/conf.php
	sed -i 's/$DBPassword = "YYYYYY"/$DBPassword = "'$rootpw'"/g' /var/www/conf.php
	whiptail --title "Server Setup" --msgbox "Database has been created successfully" 8 78
fi

cd /home
chmod 755 chmod.sh
./chmod.sh
sleep 1
lynx http://localhost/index.php
echo "START SERVER? y/n "
read START

if [ "$START" == "y" ]; then
	echo "starting"
	./server start
else
	exit
fi

}
export -f installer32

installer64() {
ip=`/sbin/ifconfig|grep inet|head -1|sed 's/\:/ /'|awk '{print $3}'`
echo "INSTALLING FOR 64Bit OS"
apt-get update 
apt-get install -y openjdk-6-jre apache2 mysql-server php5 php5-mysql php5-curl phpmyadmin unzip lynx tomcat7
sleep 1
dpkg --add-architecture i386
apt-get update
apt-get install -y ia32-libs
cd /
wget http://venom-games.com/downloads/PWServerFiles1.5.1v101.tar.gz
sleep 1
wget http://venom-games.com/downloads/reg.zip
tar xvzf PWServerFiles1.5.1v101.tar.gz
rm -R /var/www
unzip reg.zip
cd var/lib/tomcat7/webapps/
service tomcat7 stop
wget http://venom-games.com/downloads/pwadmin1.5.1.zip
unzip -o pwadmin1.5.1.zip
service tomcat7 start
echo "pwAdmin Access = http://"$ip":8080/pwAdmin/"
sleep 1
#CREATE AND IMPORT SQL DATABASE
rootpw=$(whiptail --title "Server Setup" --passwordbox "Enter the MySQL root password:" 8 78 3>&1 1>&2 2>&3)
dbname="pw"
dbuser=$(whiptail --title "Server Setup" --inputbox "Enter MySQL username:" 8 78 3>&1 1>&2 2>&3)
sleep 1
cd /home/SQL
mysql -h127.0.0.1 -u$dbuser -p$rootpw --force < pw.sql

if [ $? != "0" ]; then
	echo "Error Database creation failed"
	echo "Please manually insert DB from /home/SQL"
	echo "Installer will now exit"
	exit 1
else
	sed -i 's/="PasswdForMySQL"/="'$rootpw'"/g' /etc/table.xml
	sed -i 's/$DBName = "ZZZZZZ"/$DBName = "'$dbname'"/g' /var/www/conf.php
	sed -i 's/$DBPassword = "YYYYYY"/$DBPassword = "'$rootpw'"/g' /var/www/conf.php
	whiptail --title "Server Setup" --msgbox "Database has been created successfully" 8 78
fi

cd /home
chmod 755 chmod.sh
./chmod.sh
sleep 1
lynx http://localhost/index.php
echo "START SERVER? y/n "
read START

if [ "$START" == "y" ]; then
	echo "starting"
	./server start
else
	exit
fi

}
export -f installer64



oIFS="$IFS";
IFS="/"

LIST="32Bit/Ubuntu/64Bit/Ubuntu"

while true; do
 RESULT=$(whiptail --title "Server Setup" --menu "Select OS" 10 30 2 --cancel-button Quit $LIST 3>&1 1>&2 2>&3) 
 RET=$?
	
if [ $RET -eq 1 ]; then
echo "Cancel"
exit 0
	
elif [ $RET -eq 0 ]; then
	
	if [ "$RESULT" == "32Bit" ]; then
	installer32
	exit 0
	fi
	
	if [ "$RESULT" == "64Bit" ]; then
	installer64
	exit 0
	fi
	
elif [ $RET -eq -1 ]; then
	exit 0
fi
done

IFS=$oIFS

or just download it.


It will install all needed files + pwAdmin and simple register page using lynx

Server files (MrKiller)
protocols used from iweb (Bola).
pwAdmin based off (DaMadBoy) fixed version.

make your own gshops I'm not doing everything....

could have made the code better but why bother, might even help the noobs Think!..... doubt it!! :/:
 
Joined
Oct 11, 2012
Messages
499
Reaction score
8
How to start the server? via pwAdmin won't work.

Starting Up Server Failed/home/iweb_starter.sh (Permission denied)

I can't set the Permission cuz i can't find the file. Maybe anyone have one cuz its easy to start the server via pwAdmin. Better then the other ways.
 
Junior Spellweaver
Joined
Jul 8, 2011
Messages
116
Reaction score
14
How to start the server? via pwAdmin won't work.

Starting Up Server Failed/home/iweb_starter.sh (Permission denied)

I can't set the Permission cuz i can't find the file. Maybe anyone have one cuz its easy to start the server via pwAdmin. Better then the other ways.

Permission denied. If you can't find the file, then go to cd to tomcat/bin and run startup.sh and start your tomcat. Your iweb/pwadmin will start. Also starting it ./server start = best way to start (if you modified good your started script ofc).
 
Newbie Spellweaver
Joined
Sep 21, 2013
Messages
49
Reaction score
0
Permission denied. If you can't find the file, then go to cd to tomcat/bin and run startup.sh and start your tomcat. Your iweb/pwadmin will start. Also starting it ./server start = best way to start (if you modified good your started script ofc).


Open WINSCP give the folder or .sh 7777 permession.
 
Experienced Elementalist
Joined
Nov 29, 2013
Messages
213
Reaction score
2
Start it from the script you have in it

Search for the server script its either in cd /or cd /home
 
Joined
Oct 11, 2012
Messages
499
Reaction score
8
nvm i start it now manuel but thx. I got a another problem. When i try to login it say "Client Version to low" now i dont know what data are not different between the server files. Maybe anyone have the server data and client data for me.

thx in advance
 
Junior Spellweaver
Joined
Dec 28, 2008
Messages
114
Reaction score
13
umm... is not available to wget any files

please fix or delete post
 

Ben

Developer - JS
Developer
Joined
Jul 6, 2013
Messages
1,224
Reaction score
506
umm... is not available to wget any files

please fix or delete post

Theres more then 1 death link on this forum lol gl making everyone delete their posts + the install.sh script is nice to know :p You can find the files anywhere on this forum.
 
Initiate Mage
Joined
Jul 10, 2014
Messages
1
Reaction score
0
Not really a tut but not a release either I guess.
I got bored today so I wrote a script that installs the server on either 32 / 64 ubuntu.

It will edit the table.xml and config.php for you!! so just follow on screen instructions

sora1984 - server installation - RaGEZONE Forums

save as install.sh or whatever upload to / chmod it to 755 and run

Code:
#!/bin/bash
installer32() {
ip=`/sbin/ifconfig|grep inet|head -1|sed 's/\:/ /'|awk '{print $3}'`
echo "INSTALLING FOR 32bit OS"
apt-get update 
apt-get install -y openjdk-6-jre apache2 mysql-server php5 php5-mysql php5-curl phpmyadmin unzip lynx tomcat7
sleep 1
cd /
wget http://venom-games.com/downloads/PWServerFiles1.5.1v101.tar.gz
sleep 1
wget http://venom-games.com/downloads/reg.zip
tar xvzf PWServerFiles1.5.1v101.tar.gz
rm -R /var/www
unzip reg.zip
sleep 1
cd var/lib/tomcat7/webapps/
service tomcat7 stop
wget http://venom-games.com/downloads/pwadmin1.5.1.zip
unzip -o pwadmin1.5.1.zip
service tomcat7 start
echo "pwAdmin Access = http://"$ip":8080/pwAdmin/"
#CREATE AND IMPORT SQL DATABASE
rootpw=$(whiptail --title "Server Setup" --passwordbox "Enter the MySQL root password:" 8 78 3>&1 1>&2 2>&3)
dbname="pw"
dbuser=$(whiptail --title "Server Setup" --inputbox "Enter MySQL username:" 8 78 3>&1 1>&2 2>&3)
sleep 1
cd /home/SQL
mysql -h127.0.0.1 -u$dbuser -p$rootpw  --force < pw.sql

if [ $? != "0" ]; then
    echo "Error Database creation failed"
    echo "Please manually insert DB from /home/SQL"
    echo "Installer will now exit"
    exit 1
else
    sed -i 's/="PasswdForMySQL"/="'$rootpw'"/g' /etc/table.xml
    sed -i 's/$DBName = "ZZZZZZ"/$DBName = "'$dbname'"/g' /var/www/conf.php
    sed -i 's/$DBPassword = "YYYYYY"/$DBPassword = "'$rootpw'"/g' /var/www/conf.php
    whiptail --title "Server Setup" --msgbox "Database has been created successfully" 8 78
fi

cd /home
chmod 755 chmod.sh
./chmod.sh
sleep 1
lynx http://localhost/index.php
echo "START SERVER? y/n "
read START

if [ "$START" == "y" ]; then
    echo "starting"
    ./server start
else
    exit
fi

}
export -f installer32

installer64() {
ip=`/sbin/ifconfig|grep inet|head -1|sed 's/\:/ /'|awk '{print $3}'`
echo "INSTALLING FOR 64Bit OS"
apt-get update 
apt-get install -y openjdk-6-jre apache2 mysql-server php5 php5-mysql php5-curl phpmyadmin unzip lynx tomcat7
sleep 1
dpkg --add-architecture i386
apt-get update
apt-get install -y ia32-libs
cd /
wget http://venom-games.com/downloads/PWServerFiles1.5.1v101.tar.gz
sleep 1
wget http://venom-games.com/downloads/reg.zip
tar xvzf PWServerFiles1.5.1v101.tar.gz
rm -R /var/www
unzip reg.zip
cd var/lib/tomcat7/webapps/
service tomcat7 stop
wget http://venom-games.com/downloads/pwadmin1.5.1.zip
unzip -o pwadmin1.5.1.zip
service tomcat7 start
echo "pwAdmin Access = http://"$ip":8080/pwAdmin/"
sleep 1
#CREATE AND IMPORT SQL DATABASE
rootpw=$(whiptail --title "Server Setup" --passwordbox "Enter the MySQL root password:" 8 78 3>&1 1>&2 2>&3)
dbname="pw"
dbuser=$(whiptail --title "Server Setup" --inputbox "Enter MySQL username:" 8 78 3>&1 1>&2 2>&3)
sleep 1
cd /home/SQL
mysql -h127.0.0.1 -u$dbuser -p$rootpw --force < pw.sql

if [ $? != "0" ]; then
    echo "Error Database creation failed"
    echo "Please manually insert DB from /home/SQL"
    echo "Installer will now exit"
    exit 1
else
    sed -i 's/="PasswdForMySQL"/="'$rootpw'"/g' /etc/table.xml
    sed -i 's/$DBName = "ZZZZZZ"/$DBName = "'$dbname'"/g' /var/www/conf.php
    sed -i 's/$DBPassword = "YYYYYY"/$DBPassword = "'$rootpw'"/g' /var/www/conf.php
    whiptail --title "Server Setup" --msgbox "Database has been created successfully" 8 78
fi

cd /home
chmod 755 chmod.sh
./chmod.sh
sleep 1
lynx http://localhost/index.php
echo "START SERVER? y/n "
read START

if [ "$START" == "y" ]; then
    echo "starting"
    ./server start
else
    exit
fi

}
export -f installer64



oIFS="$IFS";
IFS="/"

LIST="32Bit/Ubuntu/64Bit/Ubuntu"

while true; do
 RESULT=$(whiptail --title "Server Setup" --menu "Select OS" 10 30 2 --cancel-button Quit $LIST 3>&1 1>&2 2>&3) 
 RET=$?
    
if [ $RET -eq 1 ]; then
echo "Cancel"
exit 0
    
elif [ $RET -eq 0 ]; then
    
    if [ "$RESULT" == "32Bit" ]; then
    installer32
    exit 0
    fi
    
    if [ "$RESULT" == "64Bit" ]; then
    installer64
    exit 0
    fi
    
elif [ $RET -eq -1 ]; then
    exit 0
fi
done

IFS=$oIFS

or just download it.


It will install all needed files + pwAdmin and simple register page using lynx

Server files (MrKiller)
protocols used from iweb (Bola).
pwAdmin based off (DaMadBoy) fixed version.

make your own gshops I'm not doing everything....

could have made the code better but why bother, might even help the noobs Think!..... doubt it!! :/:

Im a noob, as you can tell by my horrible replying skills but i was wondering after i do this how do i get on the server? and is this the newest arc update? (if server files) Whats gshop? Sorry for being a noob :( If you can link me to somewhere (i've tried looking) That would help a bunch or just explain that would help too!
 
Back
Top